polybori::dict Class Reference

`#include <embed.h>`

Inheritance diagram for polybori::dict:

## Public Member Functions

template<class Type >
| dict (const Type &obj)
| Unary constructors. More...
| dict ()
| Default constructor. More...
DerefProxy< self > | operator* ()

## Detailed Description

This class extends boost::python::tuple by a Python-style **-operator

## Constructor & Destructor Documentation

template<class Type >

polybori::dict::dict | ( | const Type & | obj | ) |

inline

Unary constructors.

polybori::dict::dict | ( |  | ) |

inline

Default constructor.

## Member Function Documentation

DerefProxy<self> polybori::dict::operator* | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- embed.h